#include "area_selector.h"
#include <QGraphicsSceneMouseEvent>
#include <QGraphicsPixmapItem>
#include <QPainter>
#include <QDebug>

AreaSelector::AreaSelector() : m_hovered(false)
{
    setAcceptHoverEvents(true);
}

QRectF AreaSelector::boundingRect() const {
    return m_innerRect;
}
void AreaSelector::paint( QPainter* painter, const QStyleOptionGraphicsItem*, QWidget* ) {
    painter->setBrush(QBrush(QColor(158,182,255,96)));
    painter->setPen(QPen(QColor(158,182,255,200)));
    painter->drawRect(m_innerRect);

    if( m_hovered ) {
        painter->fillRect(m_innerRect, Qt::darkBlue );
    }
}
void AreaSelector::hoverEnterEvent( QGraphicsSceneHoverEvent* ) {
    m_hovered = true;
    update();

}
void AreaSelector::hoverLeaveEvent( QGraphicsSceneHoverEvent* ) {
    m_hovered = false;
    update();
}

