#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QFileDialog>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);


    m_sceneSheme = new SceneSheme(this);
    ui->grView->setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOn);
    ui->grView->setVerticalScrollBarPolicy(Qt::ScrollBarAlwaysOn);
    ui->grView->setScene( m_sceneSheme );
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_btn_file_clicked()
{
    QString imagePath = QFileDialog::getOpenFileName(this, "Open Image File", QString(), tr("Image (*.png *.jpg)"));

    QPixmap m_pix;
    m_pix.load(imagePath);
    m_sceneSheme->addPixmap(m_pix);
    m_sceneSheme->update();
    m_sceneSheme->setSceneRect({});
}

void MainWindow::on_btn_clear_clicked()
{
    m_sceneSheme->clear();
}
