#pragma once


#include <QGraphicsScene>
#include "area_selector.h"
class QGraphicsSceneMouseEvent;
class QGraphicsPixmapItem;
class QGraphicsRectItem;


class SceneSheme : public QGraphicsScene
{
    Q_OBJECT
    Q_PROPERTY(QPointF previousPosition READ previousPosition WRITE setPreviousPosition NOTIFY previousPositionChanged)

public:
    SceneSheme(QObject* parent);
    QPointF previousPosition() const;

signals:
    void previousPositionChanged(const QPointF previousPosition);

public slots:
    void setPreviousPosition(const QPointF previousPosition);

protected:
    virtual void mousePressEvent(QGraphicsSceneMouseEvent* event) override;
    virtual void mouseMoveEvent(QGraphicsSceneMouseEvent* event) override;
    virtual void mouseReleaseEvent(QGraphicsSceneMouseEvent* event) override;
    virtual void mouseDoubleClickEvent(QGraphicsSceneMouseEvent* event) override;

private:
    void updateSceneRect(QGraphicsSceneMouseEvent* event);

    QGraphicsRectItem *m_selection          {nullptr};
    AreaSelector *m_AreaSelection          {nullptr};
    QGraphicsPixmapItem *m_currentImageItem {nullptr};
    QPointF m_previousPosition;
    bool m_leftMouseButtonPressed           {false};

    QList<QGraphicsRectItem*> m_AllSelections ;

    QColor *m_colorSelectionBrush;
    QColor *m_colorSelectionPen;

};



